* {
  padding: 0;
  margin: 0;
  box-sizing: border-box;
}
main {
  height: 960px;
  display: flex;
}
.mainContainer {
  height: 480px;
  width: 320px;
  margin: auto;
  border-radius: 24px;
  display: flex;
  align-items: center;
  justify-content: center;
  background-color: rgb(217, 209, 209);
}
.screenContainer {
  display: flex;
  justify-content: center;
}
.displayScreen {
  height: 72px;
  width: 248px;
  margin-bottom: 24px;
  padding-right: 8px;
  border-radius: 16px;
  display: flex;
  align-items: center;
  justify-content: right;
  font-family: arial, sans-serif;
  font-size: 32px;
  background-color: white;
}
.listContainer {
  height: fit-content;
  margin: 0;
  padding: 0;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  list-style: none;
}
.listRow:not(:first-child) {
  margin-top: 8px;
}
.listRow {
  display: flex;
}
.listRow button:not(:first-child) {
  margin-left: 8px;
}
.dotDecimal,
.undo,
.clearAll,
.clearEntry,
.percent {
  background-color: white;
}
button[data-type="operator"],
.equal {
  background-color: orange;
}
button[data-type="number"] {
  background-color: rgba(56, 191, 221, 0.8);
}
.equal {
  color: white;
  background-color: rgb(75, 75, 75);
}
.equal:hover {
  background-color: rgb(107, 107, 107);
}
.undo,
.clearEntry,
.clearAll {
  font-size: 20px;
}
button {
  width: 56px;
  height: 56px;
  border: none;
  cursor: pointer;
  border-radius: 50%;
  display: inline-flex;
  align-items: center;
  justify-content: center;
  font-family: arial, sans-serif;
  font-size: 32px;
  text-align: center;
  line-height: 1;
  color: rgb(48, 48, 48);
}
button:hover {
  color: white;
  background-color: rgb(75, 75, 75);
}
